<?php
global $orange_themes_managment;
$orangeThemes_slider_options= array(
 array(
	"type" => "navigation",
	"name" => esc_html__("Style Settings",'gadgetine-theme'),
	"slug" => "custom-styling"
),

array(
	"type" => "tab",
	"slug"=>'custom-styling'
),

array(
	"type" => "sub_navigation",
	"subname"=>array(
		array("slug"=>"font_style", "name"=>esc_html__("Font Style",'gadgetine-theme')),
		array("slug"=>"page_colors", "name"=>esc_html__("Page Colors/Style",'gadgetine-theme')),
		array("slug"=>"page_layout", "name"=>esc_html__("Layout",'gadgetine-theme'))
		)
),

/* ------------------------------------------------------------------------*
 * PAGE FONT SETTINGS
 * ------------------------------------------------------------------------*/

 array(
	"type" => "sub_tab",
	"slug"=> 'font_style'
),

array(
	"type" => "row"
),
array(
	"type" => "title",
	"title" => esc_html__("Fonts",'gadgetine-theme')
),

array(
	"type" => "google_font_select",
	"title" => esc_html__("Body text:",'gadgetine-theme'),
	"id" => $orange_themes_managment->themeslug."_google_font_1",
	"sort" => "alpha",
	"info" => esc_html__("Font previews You Can find here: <a href='http://www.google.com/webfonts' target='_blank'>Google Fonts</a>",'gadgetine-theme'),
	"default_font" => array('font' => "Open Sans", 'txt' => "(default)")
),
array(
	"type" => "google_font_select",
	"title" => esc_html__("Titles:",'gadgetine-theme'),
	"id" => $orange_themes_managment->themeslug."_google_font_2",
	"sort" => "alpha",
	"info" => esc_html__("Font previews You Can find here: <a href='http://www.google.com/webfonts' target='_blank'>Google Fonts</a>",'gadgetine-theme'),
	"default_font" => array('font' => "Open Sans", 'txt' => "(default)")
),
array(
	"type" => "google_font_select",
	"title" => esc_html__("Main menu text:",'gadgetine-theme'),
	"id" => $orange_themes_managment->themeslug."_google_font_3",
	"sort" => "alpha",
	"info" => esc_html__("Font previews You Can find here: <a href='http://www.google.com/webfonts' target='_blank'>Google Fonts</a>",'gadgetine-theme'),
	"default_font" => array('font' => "Open Sans", 'txt' => "(default)")
),


array(
	"type" => "close"

),


array(
"type" => "row",

),
array(
	"type" => "title",
	"title" => esc_html__("Font Size",'gadgetine-theme')
),

array(
	"type" => "scroller",
	"title" => esc_html__("Body text size in PX:",'gadgetine-theme'),
	"id" => $orange_themes_managment->themeslug."_font_size_1",
	"max" => "100",
	"std" => "16"
),

array(
	"type" => "close"

),

array(
	"type" => "row"
),

array(
	"type" => "title",
	"title" => esc_html__("Font Character Sets",'gadgetine-theme'),
),

array(
	"type" => "checkbox",
	"title" => esc_html__("Cyrillic Extended (cyrillic-ext):",'gadgetine-theme'),
	"id"=>$orange_themes_managment->themeslug."_font_cyrillic_ex"
),
array(
	"type" => "checkbox",
	"title" => esc_html__("Cyrillic (cyrillic):",'gadgetine-theme'),
	"id"=>$orange_themes_managment->themeslug."_font_cyrillic"
),
array(
	"type" => "checkbox",
	"title" => esc_html__("Greek Extended (greek-ext):",'gadgetine-theme'),
	"id"=>$orange_themes_managment->themeslug."_font_greek_ex"
),
array(
	"type" => "checkbox",
	"title" => esc_html__("Greek (greek):",'gadgetine-theme'),
	"id"=>$orange_themes_managment->themeslug."_font_greek"
),
array(
	"type" => "checkbox",
	"title" => esc_html__("Vietnamese (vietnamese):",'gadgetine-theme'),
	"id"=>$orange_themes_managment->themeslug."_font_vietnamese"
),
array(
	"type" => "checkbox",
	"title" => esc_html__("Latin Extended (latin-ext):",'gadgetine-theme'),
	"id"=>$orange_themes_managment->themeslug."_font_latin_ex"
),
array(
	"type" => "close",

),
array(
	"type" => "save",
	"title" => esc_html__("Save Changes",'gadgetine-theme')
),
   
array(
	"type" => "closesubtab"
),
/* ------------------------------------------------------------------------*
 * PAGE COLORS
 * ------------------------------------------------------------------------*/

 array(
	"type" => "sub_tab",
	"slug"=> 'page_colors'
),

array(
	"type" => "row"
),
array(
	"type" => "title",
	"title" => esc_html__("Default Category/News page Color",'gadgetine-theme')
),

array( 
	"type" => "color", 
	"id" => $orange_themes_managment->themeslug."_default_cat_color", 
	"title" => esc_html__("Color:",'gadgetine-theme'),
	"std" => "264C84",
),

array(
	"type" => "close"
),
array(
	"type" => "row"
),
array(
	"type" => "title",
	"title" => esc_html__("Colors",'gadgetine-theme')
),

array( 
	"type" => "color", 
	"id" => $orange_themes_managment->themeslug."_color_1", 
	"title" => esc_html__("Main color scheme:",'gadgetine-theme'),
	"std" => "2c3e50",
),
array( 
	"type" => "color", 
	"id" => $orange_themes_managment->themeslug."_color_2", 
	"title" => esc_html__("Main menu/footer color:",'gadgetine-theme'),
	"std" => "3f484f",
),


array(
	"type" => "close"
),

array(
	"type" => "row",

),
array(
	"type" => "title",
	"title" => esc_html__("Body Backgrounds (only boxed view)",'gadgetine-theme')
),

array(
	"type" => "radio",
	"id" => $orange_themes_managment->themeslug."_body_bg_type",
	"radio" => array(
		array("title" => esc_html__("Pattern:",'gadgetine-theme'), "value" => "pattern"),
		array("title" => esc_html__("Custom Image:",'gadgetine-theme'), "value" => "image"),
		array("title" => esc_html__("Color:",'gadgetine-theme'), "value" => "color"),
	),
	"std" => "pattern"
),

array(
	"type" => "select",
	"title" => esc_html__("Patterns ",'gadgetine-theme'),
	"id" => $orange_themes_managment->themeslug."_body_pattern",
	"options"=>array(
		array("slug"=>"texture-1", "name"=>esc_html__("Texture 1",'gadgetine-theme')), 
		array("slug"=>"texture-2", "name"=>esc_html__("Texture 2",'gadgetine-theme')), 
		array("slug"=>"texture-3", "name"=>esc_html__("Texture 3",'gadgetine-theme')), 
		array("slug"=>"texture-4", "name"=>esc_html__("Texture 4",'gadgetine-theme')), 
		array("slug"=>"texture-5", "name"=>esc_html__("Texture 5",'gadgetine-theme')), 
	),
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_body_bg_type", "value" => "pattern")
	)
),

array(
	"type" => "color",
	"title" => esc_html__("Body Background Color:",'gadgetine-theme'),
	"id" => $orange_themes_managment->themeslug."_body_color",
	"std" => "f1f1f1",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_body_bg_type", "value" => "color")
	)
),

array(
	"type" => "upload",
	"title" => esc_html__("Body Background Image:",'gadgetine-theme'),
	"id" => $orange_themes_managment->themeslug."_body_image",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_body_bg_type", "value" => "image")
	)
),

array(
	"type" => "close",

),

array(
	"type" => "save",
	"title" => esc_html__("Save Changes",'gadgetine-theme'),
),
   
array(
	"type" => "closesubtab"
),
/* ------------------------------------------------------------------------*
 * PAGE LAYOUT
 * ------------------------------------------------------------------------*/

 array(
	"type" => "sub_tab",
	"slug"=> 'page_layout'
),

array(
	"type" => "row"
),
array(
	"type" => "title",
	"title" => esc_html__("Enable Responsive",'gadgetine-theme'),
),

array(
	"type" => "checkbox",
	"title" => esc_html__("Enable",'gadgetine-theme'),
	"id" => $orange_themes_managment->themeslug."_responsive"
),

array(
	"type" => "close"
),


array(
	"type" => "row"
),

array(
	"type" => "title",
	"title" => esc_html__("Page Layout",'gadgetine-theme'),
),

array(
	"type" => "radio",
	"id" => $orange_themes_managment->themeslug."_page_layout",
	"radio" => array(
		array("title" => esc_html__("Boxed:",'gadgetine-theme'), "value" => "boxed"),
		array("title" => esc_html__("Wide:",'gadgetine-theme'), "value" => "wide"),
	),
),

array(
	"type" => "close"
),


array(
	"type" => "save",
	"title" => esc_html__("Save Changes",'gadgetine-theme')
),
   
array(
	"type" => "closesubtab"
),

array(
	"type" => "closetab"
)
 
);

$orange_themes_managment->add_options($orangeThemes_slider_options);
?>